package fr.irisa.cairn.jnimap.isl;

import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import fr.irisa.cairn.jnimap.runtime.JNIObject;


/*** PROTECTED REGION ID(IISLSingleSpaceReadOnlyMapMethods_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */
public interface IISLSingleSpaceReadOnlyMapMethods  extends IISLSingleSpaceReadOnlyMethods, IISLStandardMapMethods {
	
	
	/*** PROTECTED REGION ID(IISLSingleSpaceReadOnlyMapMethods_userCode) ENABLED START ***/
	public default List<String> getInputNames() {
		return getDimNames(ISLDimType.isl_dim_in);
	}

	public default List<String> getOutputNames() {
		return getDimNames(ISLDimType.isl_dim_out);
	}

	public default String getInputName(int i) {
		return getDimName(ISLDimType.isl_dim_in, i);
	}

	public default String getOutputName(int i) {
		return getDimName(ISLDimType.isl_dim_out, i);
	}
	/*** PROTECTED REGION END ***/

	
	/*************************************** 
	 *	         Static Methods            * 
	 ***************************************/
	
	
}
